function [mat] = run_exp(dataname,times)

if strcmp(dataname,'hiva');
	posratio = 0.0352;
elseif strcmp(dataname,'ibn_sina');
	posratio = 0.3784;
elseif strcmp(dataname,'nova');
	posratio = 0.2845;
elseif strcmp(dataname,'orange');
	posratio = 0.0178;
elseif strcmp(dataname,'sylvaexp');
	posratio = 0.0615;
elseif strcmp(dataname,'sylva');
	posratio = 0.0615;
elseif strcmp(dataname,'zebra');
	posratio = 0.0458;
end



%datanames
correctdata = ['../data/' dataname '.correct'];

%learner names : XXX
libsvm = '../classifier/libsvm-infensemble-2.8-fv/';
liblinear = '../classifier/liblinear-1.51-fv/';

%data processing
[Y X] = libsvmread(correctdata);

posindexes = find(Y==1);
m = length(posindexes);
if times > m
	disp('number of experiments truncated to m. Not so much positive data.');
	times = m;
end
%or(i=0;i<m;i++) swap(a[i], a[rand()%(i+1)]);

%random permutation generater...
for i=1:m
	j = floor(rand()*m)+1;

	tmp = posindexes(i);
	posindexes(i) = posindexes(j);
	posindexes(j) = tmp;
end

x = X;
y = Y;
for k=1:times
	onepos = posindexes(k);
	%svmlin r = 0.1
	y(:) = 0;
	y(onepos) = 1;
	[w fv] = svmlin('-A 2 -R 0.05',x,y);

	fp = fopen([dataname '.predict'],'w');
	fprintf(fp,'%.12f\n',fv);
	fclose(fp);
	
	mat(k,1) = count_auc(dataname);

	%svmlin r = 0.1
	y(:) = 0;
	y(onepos) = 1;
	[w fv] = svmlin('-A 2 -R 0.1',x,y);

	fp = fopen([dataname '.predict'],'w');
	fprintf(fp,'%.12f\n',fv);
	fclose(fp);

	mat(k,2) = count_auc(dataname);
	%svmlin r = 0.1
	y(:) = 0;
	y(onepos) = 1;
	[w fv] = svmlin('-A 2 -R 0.15',x,y);

	fp = fopen([dataname '.predict'],'w');
	fprintf(fp,'%.12f\n',fv);
	fclose(fp);

	mat(k,3) = count_auc(dataname);

	%svmlin r = 0.1
	y(:) = 0;
	y(onepos) = 1;
	[w fv] = svmlin('-A 2 -R 0.2',x,y);

	fp = fopen([dataname '.predict'],'w');
	fprintf(fp,'%.12f\n',fv);
	fclose(fp);
	
	mat(k,4) = count_auc(dataname);

	%svmlin r = 0.1
	y(:) = 0;
	y(onepos) = 1;
	[w fv] = svmlin('-A 2 -R 0.25',x,y);

	fp = fopen([dataname '.predict'],'w');
	fprintf(fp,'%.12f\n',fv);
	fclose(fp);
	
	mat(k,5) = count_auc(dataname);

	y(:) = 0;
	y(onepos) = 1;
	[w fv] = svmlin('-A 2 -R 0.3',x,y);

	fp = fopen([dataname '.predict'],'w');
	fprintf(fp,'%.12f\n',fv);
	fclose(fp);
	
	mat(k,6) = count_auc(dataname);

	y(:) = 0;
	y(onepos) = 1;
	[w fv] = svmlin('-A 2 -R 0.35',x,y);

	fp = fopen([dataname '.predict'],'w');
	fprintf(fp,'%.12f\n',fv);
	fclose(fp);
	
	mat(k,7) = count_auc(dataname);

	y(:) = 0;
	y(onepos) = 1;
	[w fv] = svmlin('-A 2 -R 0.4',x,y);

	fp = fopen([dataname '.predict'],'w');
	fprintf(fp,'%.12f\n',fv);
	fclose(fp);
	mat(k,8) = count_auc(dataname);

	%svmlin r = posratio
	y(:) = 0;
	y(onepos) = 1;
	[w fv] = svmlin(sprintf('-A 2 -R %.6f',posratio),x,y);

	fp = fopen([dataname '.predict'],'w');
	fprintf(fp,'%.12f\n',fv);
	fclose(fp);

	mat(k,9) = count_auc(dataname);
	%%%%%End of generating column
end

system(['rm *.predict']);
